# Release notes for Ambient CI

This file summarizes the user-visible changes to `ambient-ci`
between releases.

## Version 0.3.0, released 2025-04-17

* The error message for when running `qemu-img` fails now mentions
  `qemu-img`. Previously the error was only "File not found", which is
  not very useful to the user.

* The error message for being unable to read a log file now mentions
  the name of the log file. This, too, is meant to be useful to users,
  when there's a problem.

* The result of `ambient-execute-plan` running an action in the
  virtual machine is now shown explicitly. Previously the success of
  executing an action was not logged, it was implicit in that the run
  didn't end in failure.

* The `cargo_fetch`, `cargo_clippy`, and `cargo_build` actions now
  don't use the `-vvv` option, which tells Cargo to be very, very,
  very verbose. This is to make run logs be of a tolerable size and
  not hide problems under a mountain of text. In the long term,
  Ambient should produce logs where that kind of verbosity can be
  controlled at reading time.

* The default log level for `ambient` is not `info`, previously
  `warn`. This makes running the command a little more verbose. The
  log level can be controlled with the `AMBIENT_LOG` environment
  variable.

* When `ambient` makes a copy of the OVMF file (part of the UEFI
  implementation for virtual machines) it now gives the user who runs
  `ambeint` write permission to the copy.

* The `ambient image import` command now has a progress bar. Importing
  computes a SHA256 checksum, which can take a while, and the progress
  bar keeps the user amused.

* The `README.md` file now mentions how to build the code and run the
  tests (TL;DR: `make`), and what build time dependencies are needed
  for this.


## Version 0.2.0, released 2025-03-17

There are no big changes, except the name change. The purpose of this
release is to update the Rust crate with the new name.

* Installation documentation are now included in the file
  `INSTALL.md`. They aren't verified automatically, but did work when
  tested manually at the time they were written.

* The binary has been renamed to `ambient`. The Rust crate has been
  renamed to `ambient-ci`. The primary source code repository has been
  moved to Radicle (repository id `rad:zwPaQSTBX8hktn22F6tHAZSFH2Fh`),
  but the old Codeberg location will continue to work.

## Version 0.1.0, released 2025-01-09

The first release. This was released under the name `ambient-driver`,
because Lars didn't think clearly.
